Bug 1029686 - When wireless is disabled, system goes into airplane mode
When wireless is disabled, system goes into airplane mode
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
20
All Linux
unspecified Severity low
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-12 17:29 EST by Amir Hedayaty
Modified: 2015-06-29 08:53 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:53:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
video of network icon (10.49 MB, video/mp4)
2014-01-29 10:03 EST, Brent R Brian
no flags Details
1. wiredON wirelessOFF airplaneOFF (1.94 MB, text/plain)
2014-02-03 09:37 EST, Brent R Brian
no flags Details
2. wiredON wirelessON airplaneOFF (1.95 MB, text/plain)
2014-02-03 09:38 EST, Brent R Brian
no flags Details
3. wiredON wirelessOFF airplaneOFF (1.95 MB, text/plain)
2014-02-03 09:39 EST, Brent R Brian
no flags Details
4. wiredOFF wirelessOFF airplaneON (1.95 MB, text/plain)
2014-02-03 09:39 EST, Brent R Brian
no flags Details
5. wiredOFF wirelessOFF airplaneOFF (1.95 MB, text/plain)
2014-02-03 09:40 EST, Brent R Brian
no flags Details
6. wiredON wirelessOFF airplaneOFF (1.96 MB, text/plain)
2014-02-03 09:40 EST, Brent R Brian
no flags Details
journalctl -b (80.14 KB, text/plain)
2014-05-06 09:49 EDT, Brent R Brian
no flags Details
dmesg with wifi on and working (96.32 KB, text/plain)
2015-05-25 12:09 EDT, Max E
no flags Details
dmesg with wifi off and disabled [hardware switch] (98.97 KB, text/plain)
2015-05-25 12:10 EDT, Max E
no flags Details
IP Address showing no connections - wifi hardware disabled (866 bytes, text/plain)
2015-05-25 12:11 EDT, Max E
no flags Details
IP Address showing connections - wifi hardware enabled (1.06 KB, text/plain)
2015-05-25 12:12 EDT, Max E
no flags Details
rfkill list output with wifi switch disabled (123 bytes, text/plain)
2015-05-25 12:12 EDT, Max E
no flags Details
rfkill list output with wifi switch on and enabled (121 bytes, text/plain)
2015-05-25 12:13 EDT, Max E
no flags Details

  None (edit)
Description Amir Hedayaty 2013-11-12 17:29:45 EST
Description of problem:
This is the opposite of bugs I have found while googling for work-around. When I turn off the wireless(or system boots up with wireless disabled) system goes to airplane mode.

Note that I also have a ethernet connection which should be connected but goes down with airplane mode.

Version-Release number of selected component (if applicable):
So far 
NetworkManager-0.9.9.0-9.git20130807.fc20.x86_64.rpm to
NetworkManager-0.9.9.0-14.git20131003.fc20.x86_64.rpm

How reproducible:
Turn on the system with wifi disabled and ethernet enabled.
or
Turn off the wifi while working from Networkmanager settings.

Actual results:
System goes to airplane mode disabling ethernet

Expected results:
System does not go to airplane mode, because other devices are acitve.

Additional info:
Comment 1 Brent R Brian 2014-01-08 13:59:25 EST
F20 - switching between wireless and wired.

If I disable the wireless (with wired not connected), airplane mode comes on.

If I switch from wireless -> wired

* wireless is disabled
* airplane mode comes on
* networks settings option is removed from menu

If you want me to test sequences ... fire away.
Comment 2 Brent R Brian 2014-01-29 10:03:07 EST
Created attachment 857101 [details]
video of network icon

I use wireless at home, wired at the office.

I always cold boot, never resume.

At home, connects fine.

At work, the airplane mode is on, and, on occasion the "network" icon is blinking.

At work I have this ritual:

* open settings
* open network
* turn off airplane
* turn off wireless
* turn on wired

The network icon is gone at this point.

System always comes up in "wireless" mode.

Would be NICE if it you could set "work" or "home" and toggle.

B
Comment 3 Dan Williams 2014-01-29 16:55:58 EST
(In reply to Amir Hedayaty from comment #0)
> Description of problem:
> This is the opposite of bugs I have found while googling for work-around.
> When I turn off the wireless(or system boots up with wireless disabled)
> system goes to airplane mode.
> 
> Note that I also have a ethernet connection which should be connected but
> goes down with airplane mode.

Can you post 'journalctl -b' output from just before, during, and after you turn of wireless, so we can see what is happening when the system goes into airplane mode?  Turning off wireless *is* turning wifi airplane mode on, but that should not affect wired networking at all.

However, some laptops have BIOS functions that turn off all networking in "airplane" mode, so you might poke around in BIOS to see if that is the case with your model, and turn that off.  I know some Dell Latitude laptops can do this.
Comment 4 Brent R Brian 2014-02-03 09:37:58 EST
Created attachment 858641 [details]
1. wiredON wirelessOFF airplaneOFF
Comment 5 Brent R Brian 2014-02-03 09:38:35 EST
Created attachment 858642 [details]
2. wiredON wirelessON airplaneOFF
Comment 6 Brent R Brian 2014-02-03 09:39:18 EST
Created attachment 858643 [details]
3. wiredON wirelessOFF airplaneOFF
Comment 7 Brent R Brian 2014-02-03 09:39:46 EST
Created attachment 858644 [details]
4. wiredOFF wirelessOFF airplaneON
Comment 8 Brent R Brian 2014-02-03 09:40:05 EST
Created attachment 858645 [details]
5. wiredOFF wirelessOFF airplaneOFF
Comment 9 Brent R Brian 2014-02-03 09:40:34 EST
Created attachment 858646 [details]
6. wiredON wirelessOFF airplaneOFF
Comment 10 Brent R Brian 2014-02-03 09:41:57 EST
I assumed that making changes without rebooting would be OK.  If not, send me instructions detailing exactly what you need.
Comment 11 Dan Williams 2014-02-04 08:53:16 EST
Ah, (In reply to Brent R Brian from comment #1)
> F20 - switching between wireless and wired.
> 
> If I disable the wireless (with wired not connected), airplane mode comes on.
> 
> If I switch from wireless -> wired
> 
> * wireless is disabled
> * airplane mode comes on
> * networks settings option is removed from menu
> 
> If you want me to test sequences ... fire away.

Which process are you using to "disable the wireless"?  Are you choosing "turn off" from the Wi-Fi section of the GNOME Shell network status icon?
Comment 12 Brent R Brian 2014-02-04 09:47:33 EST
In this case, yes, the network settings menu was used.
Comment 13 Brent R Brian 2014-05-06 09:49:15 EDT
Created attachment 892882 [details]
journalctl -b

journal -b as requested ... if not right, ping me
Comment 14 Max E 2015-05-20 05:05:44 EDT
The symantecs of this fault are important to explain.  

I've got a 'newish' Dell Latitude 6340 laptop - with the Wifi On/Off switch.  Putting the switch into the Off position - does what it is meant to - ie switches off the wireless (correct).  The most annoying things about this switch is that is it also disables the onboard hardwired ethernet port at the same time - or more clearly - it seems to cause the port to go ethdown.  You can re-enable it easily enough by manually selecting the port from the menu dropdown [top right] in Gnome3.

I will find a bluetooth dongle and try and see if that starts/stop when the wireless enable/disable switch is toggled and add more to this fault when I've done this.

Fedora 21 x86_64 Workstation edition
NetworkManager-0.9.10.2-5.fc21.x86_64

Thanks Max
Comment 15 Jirka Klimes 2015-05-22 07:15:13 EDT
(In reply to Max E from comment #14)
> The symantecs of this fault are important to explain.  
> 
> I've got a 'newish' Dell Latitude 6340 laptop - with the Wifi On/Off switch.
> Putting the switch into the Off position - does what it is meant to - ie
> switches off the wireless (correct).  The most annoying things about this
> switch is that is it also disables the onboard hardwired ethernet port at
> the same time - or more clearly - it seems to cause the port to go ethdown. 
> You can re-enable it easily enough by manually selecting the port from the
> menu dropdown [top right] in Gnome3.
> 

Dell laptops seem to have tendency to power off Wi-Fi when ethernet is on and vice versa.
http://en.community.dell.com/support-forums/laptop/f/3518/t/19564743

Can you look into BIOS and found out what can be set/changed there.
Also, toggle the hardware switch and check what it causes, by getting output of commands like:
$ dmesg
$ rfkill list
$ ip addr
Comment 16 Max E 2015-05-25 12:08:49 EDT
Hello Jirka,

I did actually find that the WWLAN controller when ethernet is plugged in - was switched OFF.  I have now switched this on....Lets see if that makes a difference.

As requested, a number of output files from my laptop as requested.  dmesg,rfkill list and ip addr - outputs with Wireless LAN hardware disable on [ie wireless disabled] and hardware disable off [ie wireless working].

Thanks



Max
Comment 17 Max E 2015-05-25 12:09:59 EDT
Created attachment 1029524 [details]
dmesg with wifi on and working
Comment 18 Max E 2015-05-25 12:10:53 EDT
Created attachment 1029525 [details]
dmesg with wifi off and disabled [hardware switch]

As requested.
Comment 19 Max E 2015-05-25 12:11:28 EDT
Created attachment 1029527 [details]
IP Address showing no connections - wifi hardware disabled
Comment 20 Max E 2015-05-25 12:12:14 EDT
Created attachment 1029528 [details]
IP Address showing connections - wifi hardware enabled
Comment 21 Max E 2015-05-25 12:12:56 EDT
Created attachment 1029529 [details]
rfkill list output with wifi switch disabled
Comment 22 Max E 2015-05-25 12:13:32 EDT
Created attachment 1029530 [details]
rfkill list output with wifi switch on and enabled
Comment 23 Fedora End Of Life 2015-05-29 05:44:43 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 24 Fedora End Of Life 2015-06-29 08:53:41 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.